Summary:	Basic requirement for icon themes
Name:		hicolor-icon-theme
Version:	0.15
Release:	%mkrel 2
License:	GPLv2
Group:		Graphical desktop/Other
URL:		http://icon-theme.freedesktop.org/wiki/HicolorTheme
Source0:	http://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz
Patch0:		01_dont_scale_22x22_apps_icons_for_hicolor.patch
Source1:	pan-down-symbolic.svg
Source2:	pan-end-symbolic-rtl.svg
Source3:	pan-end-symbolic.svg
Source4:	pan-start-symbolic-rtl.svg
Source5:	pan-start-symbolic.svg
Source6:	pan-up-symbolic.svg
BuildArch:	noarch

%description
Contains the basic directories and files needed for icon theme support.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std
touch %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

# automatic gtk icon cache update on rpm installs/removals
install -d %{buildroot}%{_var}/lib/rpm/filetriggers
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/gtk-icon-cache-hicolor.filter << EOF
^./usr/share/icons/hicolor/
EOF
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/gtk-icon-cache-hicolor.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/hicolor
fi
EOF
chmod 755 %{buildroot}%{_var}/lib/rpm/filetriggers/gtk-icon-cache-hicolor.script

install -m 0644 {%SOURCE1,%SOURCE2,%SOURCE3,%SOURCE4,%SOURCE5,%SOURCE6} \
%{buildroot}%{_datadir}/icons/hicolor/scalable/actions


%posttrans
%update_icon_cache hicolor

%files
%doc README
%dir %{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/index.theme
%{_datadir}/icons/hicolor/*/
%ghost %{_datadir}/icons/hicolor/icon-theme.cache
%{_var}/lib/rpm/filetriggers/gtk-icon-cache-hicolor.*


%changelog
* Mon Aug 03 2015 bb <bb> 0.15-2pclos2015
- fix some theme arrow icons with pan icons

* Sun Jun 21 2015 bb <bb> 0.15-1pclos2015
- update

* Sun Jun 07 2015 bb <bb> 0.14-1pclos2015
- update
